Search Over 30,000 FREE Plugins from the Official WordPress Plugin Directory Repository

CarQuery API Vehicle Data

Use simple short codes to display auto-populating dropdowns for vehicle Year, Make, Model, and trim on your site from CarQuery API database.

The CarQuery API Vehicle Data plugin uses simple short codes to add dependent vehicle year, make, mode, and trim dropdowns in your post or page. The vehicle dropdown menus use AJAX requests to auto-populate using the CarQuery API from http://www.carqueryapi.com

Author CarQueryAPI
Profile
Contributors carquery
Tags car, carquery, carqueryapi, database, dropdown, make, model, tr.im, vehicle, year
  1. Download the plugin archive
  2. Extract all files from the zip archive
  3. Copy the carquery-api folder to the /wp-content/plugins directory
  4. Activate the plugin through the \'Plugins\' menu in WordPress
  5. Use the shortcodes [cq-year] [cq-make] [cq-model] [cq-trim][cq-trim][cq-button] anywhere in your site to create automatically populated vehicle data dropdowns.

0.1

  • Initial release

1.0

  • Improved preformatted code.
  • Used latest API for make and model search.
  • Updated code is compatible with Wp version 3.0 to 3.5.1.

1.2

  • Improved preformatted code.
  • Used latest API for make and model search.
  • Updated code is compatible with Wp version 4.2.1.
  • Updated access to all vehicle years.

1.3

  • Used latest API for make and model search.
  • Updated code is compatible with Wp version 4.4

1.4

  • Used latest API for make and model search.
  • Updated code is compatible with Wp version 4.7

Where does this vehicle data come from?

The plugin uses data from the CarQuery API

What else can I use the CarQuery API for?

There are many other things you can do with the CarQuery API outside of what the plugin enables. Visit the CarQuery documentation page for more details.

Can I download the CarQuery source data?

Yes, the CarQuery source data can be downloaded in CSV format. Just visit the CarQuery Download page!

Share  
Download
Version 1.4

Requires WordPress version: 3.0 or higher

Compatible up to: 4.7.2

Last Updated 04 Jan 2017

Date Added: 05 Feb 2012

Plugin Homepage

Evaluation
star1
star2
star3
star4
star5

0 stars
0 ratings
4,479 downloads

Compatibility

Not Enough Data

Reports:
Works: 0
Broken: 0